---
title: HTMLDialogElement.returnValue
slug: Web/API/HTMLDialogElement/returnValue
tags:
  - API
  - Experimental
  - HTML DOM
  - HTMLDialogElement
  - Property
  - Reference
  - returnValue
---
<div>{{ APIRef("HTML DOM") }}</div>

<p>{{ SeeCompatTable() }}</p>

<p><span class="seoSummary">The <strong><code>returnValue</code></strong> property of the {{domxref("HTMLDialogElement")}} interface gets or sets the return value for the <code>&lt;dialog&gt;</code>, usually to indicate which button the user pressed to close it.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">dialogInstance.returnValue = 'myReturnValue';
var myReturnValue = dialogInstance.returnValue;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} representing the <code>returnValue</code> of the dialog.</p>

<h2 id="Examples">Examples</h2>

<p>The following example displays a button to open a {{htmlelement("dialog")}} containing a form via the <code>showModal()</code> method. From there, either button will close the dialog.</p>

<pre class="brush: html">  &lt;!-- Simple pop-up dialog box containing a form --&gt;
  &lt;dialog id="favDialog"&gt;
    &lt;form method="dialog"&gt;
      &lt;p&gt;&lt;label&gt;Favorite animal:
        &lt;select name="favAnimal" required&gt;
          &lt;option&gt;&lt;/option&gt;
          &lt;option&gt;Brine shrimp&lt;/option&gt;
          &lt;option&gt;Red panda&lt;/option&gt;
          &lt;option&gt;Spider monkey&lt;/option&gt;
        &lt;/select&gt;
      &lt;/label&gt;&lt;/p&gt;
      &lt;menu&gt;
        &lt;button&gt;Cancel&lt;/button&gt;
        &lt;button&gt;Confirm&lt;/button&gt;
      &lt;/menu&gt;
    &lt;/form&gt;
  &lt;/dialog&gt;

  &lt;menu&gt;
    &lt;button id="updateDetails"&gt;Update details&lt;/button&gt;
  &lt;/menu&gt;

  &lt;script&gt;
    (function() {
      var updateButton = document.getElementById('updateDetails');
      var dialog = document.getElementById('favDialog');
      dialog.returnValue = 'favAnimal';

      function openCheck(dialog) {
        if (dialog.open) {
          console.log('Dialog open');
        } else {
          console.log('Dialog closed');
        }
      }

      function handleUserInput(returnValue) {
        if (returnValue === 'Cancel' || returnValue == null) {
          // User canceled the dialog, do nothing
        } else if (returnValue === 'Confirm') {
          // User chose a favorite animal, do something with it
        }
      }

      // “Update details” button opens the &lt;dialog&gt; modally
      updateButton.addEventListener('click', function() {
        dialog.showModal();
        openCheck(dialog);
        handleUserInput(dialog.returnValue);
      });
    })();
  &lt;/script&gt;</pre>

<div class="note">
<p><strong>Note</strong>: You can find this example on GitHub as <a href="https://github.com/mdn/dom-examples/blob/master/htmldialogelement-basic/index.html">htmldialogelement-basic</a> (<a href="https://mdn.github.io/dom-examples/htmldialogelement-basic/">see it live also</a>).</p>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', 'forms.html#dom-dialog-returnvalue', 'returnvalue')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td> </td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5.1', 'interactive-elements.html#dom-htmldialogelement-returnvalue', 'returnvalue')}}</td>
   <td>{{Spec2('HTML5.1')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLDialogElement.returnValue")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The HTML element implementing this interface: {{ HTMLElement("dialog") }}.</li>
</ul>
